package main

import (
	"fmt"
	"github.com/gin-gonic/gin"
	"log"
	"onvif-agent/config"
	"onvif-agent/router"
)

func main() {
	if err := config.LoadConfig(); err != nil {
		log.Fatalf("Error loading config: %v", err)
	}

	r := gin.Default()

	router.SetupRoutes(r)

	addr := fmt.Sprintf("%s:%d", config.Conf.Server.Host, config.Conf.Server.Port)
	if err := r.Run(addr); err != nil {
		fmt.Println("Failed to start server:", err)
	}
}
